Package: org.grails.encoder

## [Java] Interface EncodedAppenderFactory

-     public interface EncodedAppenderFactory

  This interface marks an instance capable of getting a EncodedAppender instance that is connected to it. For example a buffer provides it's EncodedAppender instance with this interface.

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public EncodedAppender` | `getEncodedAppender()` Gets the EncodedAppender that is connected to the instance of this implementation.

- - ### Method Detail

    - #### public EncodedAppender getEncodedAppender()

      Gets the EncodedAppender that is connected to the instance of this implementation.

      Returns:
        the EncodedAppender